Bug 974079 - Namespace for bpel is of older version than for sca
Namespace for bpel is of older version than for sca
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: DR6
: 6.0.0
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 07:51 EDT by Jiri Sedlacek
Modified: 2015-08-02 19:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users encountered problems when using BPEL in previous versions. The BPEL namespace in BPELComponentImplementationModel.java was not valid. This was due to an outdated SCA address. The issue has been fixed for this release.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-737 Minor Closed Update BPEL schema referenced by SwitchYard to sca-implementation-bpel-1.1-cd03.xsd 2014-06-16 19:48:49 EDT

  None (edit)
Description Jiri Sedlacek 2013-06-13 07:51:54 EDT
In org/switchyard/component/bpel/config/model/BPELComponentImplementationModel.java, 
namespace for bpel is http://docs.oasis-open.org/ns/opencsa/sca/200903.

If I use it in switchyard.xml, document is not valid (it can be seen in quickstarts/bpel_service/say_hello example, if I use http://docs.oasis-open.org/ns/opencsa/sca/200912 for bpel prefix (which is exactly the same as for sca prefix), service cannot be deployed. 

Can it be unified (probably on version 200912)?
Comment 1 Keith Babo 2013-06-18 15:53:04 EDT
This was fixed in 1.0.  In fact, the referenced class does not exist in 1.0 (it was moved to core with the other SCA standard schema).
Comment 2 Jiri Sedlacek 2013-07-01 06:21:28 EDT
verified in DR6
Comment 6 JBoss JIRA Server 2014-06-16 19:48:51 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-737 to Closed

Note You need to log in before you can comment on or make changes to this bug.